Retrieves all skills

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "68012ad3-563c-4de6-872a-2fa087e5c008",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "a141f3c7-a631-409d-8f8d-650a54cd1ca7",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "72e7ab43-58f5-4e03-bb02-3cacabd26fd3",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "29457078-32d6-41e5-9109-d5a8dded54d2",
    "db_currency_id": "d88fc6ab-691e-47b6-8197-23fe9525d99a",
    "db_language_id": "932aa7ce-0aa4-45c5-9e27-5a980d3ba57e",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-02-24T17:55:08.9380586+00:00"
  },
  "modified_dateutc": "2026-02-24T17:55:08.9380586+00:00"
}